" remove default keymappings
let g:tq_map_keys=0

" set custom mthesaur file if we have it
if exists('$XDG_DATA_HOME')
  let g:tq_mthesaur_file='$XDG_DATA_HOME' . '/nvim/thesaurus/mthesaur.txt'
else
  let g:tq_mthesaur_file=expand('~/.local/share/nvim/thesaurus/mthesaur.txt')
endif

" download if we don't
if !filereadable(glob(g:tq_mthesaur_file))
  echom 'No thesaurus file found, attempting to download in background...'
  execute '!curl -fLo ' . expand(g:tq_mthesaur_file) . ' --create-dirs
    \ http://www.gutenberg.org/files/3202/files/mthesaur.txt'
endif

let g:tq_language=['en', 'de']
